PARAMETER vFechaE,vOpcion 

** Hecho por: Luis Abarca
*  Fecha: 17 Agosto 2011
*  Detalle: Retorna la fecha en el
*	    formato de acuerdo con el paramtero vOpcion

LOCAl vDia,vMes,vYear,vMesCorto,vMesLargo
LOCAL vSalidaF,vDiaSemana,VDiaText


vDia = DAY(vFechaE)
vMes = Month(vFechaE)
vYear = Year(vFechaE)
vDiaSemana = Dow(vFechaE)

Do Case 
   Case vDiaSemana = 1
	vDiaText = "Domingo"       
   Case vDiaSemana = 2
	vDiaText = "Lunes"       
   Case vDiaSemana = 3
	vDiaText = "Martes"       
   Case vDiaSemana = 4
	vDiaText = "Miercoles"       
   Case vDiaSemana = 5
	vDiaText = "Jueves"       
   Case vDiaSemana = 6
	vDiaText = "Viernes"       
   Case vDiaSemana = 7
	vDiaText = "Sabado"        
EndCase


DO CASE 
   CASE vMes = 1 
   		vMesLargo = "Enero"
   		vMesCorto = "Ene"
   CASE vMes = 2 
   		vMesLargo = "Febrero"
   		vMesCorto = "Feb"

   CASE vMes = 3 
   		vMesLargo = "Marzo"   		   		
   		vMesCorto = "Mar"

   CASE vMes = 4 
   		vMesLargo = "Abril"
   		vMesCorto = "Abr"
   CASE vMes = 5 
   		vMesLargo = "Mayo"
   		vMesCorto = "May"
   CASE vMes = 6 
   		vMesLargo = "Junio"   		   		   		
   		vMesCorto = "Jun"
   CASE vMes = 7 
   		vMesLargo = "Julio"
   		vMesCorto = "Jul"
   CASE vMes = 8 
   		vMesLargo = "Agosto"
   		vMesCorto = "Ago"
   CASE vMes = 9 
   		vMesLargo = "Septiembre"
   		vMesCorto = "Sep"
   CASE vMes = 10 
   		vMesLargo = "Octubre"
   		vMesCorto = "Oct"
   CASE vMes = 11 
   		vMesLargo = "Noviembre"   		   		   		   		   		
   		vMesCorto = "Nov"
   CASE vMes = 12 
   		vMesLargo = "Diciembre"
   		vMesCorto = "Dic"

Endcase


vVDia = "0" + alltrim(STR(vDia))
vVDia = RIGHT(vVdia,2)

Do Case 
   Case	vOpcion = 1 && Formato dd/mmm 
        vSalidaF = Rtrim(vVDia) + "-" + RTRIM(vMesCorto) 

   Case	vOpcion = 2 && Formato dd/mmm/yyyy
        vSalidaF = Rtrim(vVDia) + "/" + RTRIM(vMesCorto) + "/" + LTRIM(RTRIM(STR(vYear)))

   Case	vOpcion = 3 && Formato dd/mmmmmm/yyyy
        vSalidaF = Rtrim(vVDia) + "/" + RTRIM(vMesLargo) + "/" + LTRIM(RTRIM(STR(vYear)))

   Case	vOpcion = 4 && Formato dd de mes de yyyy
        vSalidaF = Rtrim(vVDia) + " de " + RTRIM(vMesLargo) + " del " + LTRIM(RTRIM(STR(vYear)))

   Case	vOpcion = 5 && Formato dd de mes de yyyy
        vSalidaF = rTrim(vDiaText) + " " + Rtrim(vVDia) + " de " + RTRIM(vMesLargo) + " del " + LTRIM(RTRIM(STR(vYear)))


EndCase


RETURN LTRIM(rtrim(vSalidaF))
ENDFUNC
